ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_pcm_scope_ops_t Struct Reference
PCM Interface » Scope Plugin Extension

`#include <pcm.h>`

## Data Fields
int(* | enable )(snd_pcm_scope_t *scope)
| Enable and prepare it using current params.
void(* | disable )(snd_pcm_scope_t *scope)
| Disable.
void(* | start )(snd_pcm_scope_t *scope)
| PCM has been started.
void(* | stop )(snd_pcm_scope_t *scope)
| PCM has been stopped.
void(* | update )(snd_pcm_scope_t *scope)
| New frames are present.
void(* | reset )(snd_pcm_scope_t *scope)
| Reset status.
void(* | close )(snd_pcm_scope_t *scope)
| PCM is closing.

## Detailed Description

SND_PCM_TYPE_METER scope functions

## Field Documentation

## ◆ close

void(* snd_pcm_scope_ops_t::close) (snd_pcm_scope_t *scope)

PCM is closing.

Parameters

  scope | scope handle

## ◆ disable

void(* snd_pcm_scope_ops_t::disable) (snd_pcm_scope_t *scope)

Disable.

Parameters

  scope | scope handle

## ◆ enable

int(* snd_pcm_scope_ops_t::enable) (snd_pcm_scope_t *scope)

Enable and prepare it using current params.

Parameters

  scope | scope handle

## ◆ reset

void(* snd_pcm_scope_ops_t::reset) (snd_pcm_scope_t *scope)

Reset status.

Parameters

  scope | scope handle

## ◆ start

void(* snd_pcm_scope_ops_t::start) (snd_pcm_scope_t *scope)

PCM has been started.

Parameters

  scope | scope handle

## ◆ stop

void(* snd_pcm_scope_ops_t::stop) (snd_pcm_scope_t *scope)

PCM has been stopped.

Parameters

  scope | scope handle

## ◆ update

void(* snd_pcm_scope_ops_t::update) (snd_pcm_scope_t *scope)

New frames are present.

Parameters

  scope | scope handle

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/pcm.h